Debian Bug report logs - #325306
ITP: root -- An object oriented data analysis framework

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Heiko Scheit <heiko.scheit@mpi-hd.mpg.de>

Date: Sat, 27 Aug 2005 15:03:01 UTC

Owned by: Christian Holm Christensen <cholm@nbi.dk>

Severity: wishlist

Fixed in version root-system/5.15.07-4

Done: Christian Holm Christensen <cholm@nbi.dk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#325306; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Heiko Scheit <heiko.scheit@mpi-hd.mpg.de>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Heiko Scheit <heiko.scheit@mpi-hd.mpg.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: root -- An object oriented data analysis framework
Date: Sat, 27 Aug 2005 16:45:45 +0200
Package: wnpp
Severity: wishlist


* Package name    : root
  Version         : x.y.z
  Upstream Author : Name <somebody@example.org>
  URL             : http://root.cern.ch/
* License         : not sure
  Description     : An object oriented data analysis framework

The ROOT system provides a set of OO frameworks with all the
functionality needed to handle and analyse large amounts of data in a
very efficient way.  Having the data defined as a set of objects,
specialised storage methods are used to get direct access to the
separate attributes of the selected objects, without having to touch
the bulk of the data.  Included are histograming methods in 1, 2 and 3
dimensions, curve fitting, function evaluation, minimisation, graphics
and visualization classes to allow the easy setup of an analysis
system that can query and process the data interactively or in batch
mode. 

The CINT C++ interpreter is builtin.

-- System Information:
Debian Release: 3.1
Architecture: i386 (i686)
Kernel: Linux 2.6.10-1-686
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#325306; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Stefan Fritsch <sf@sfritsch.de>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #10 received at 325306@bugs.debian.org (full text, mbox):

From: Stefan Fritsch <sf@sfritsch.de>
To: 325306@bugs.debian.org
Cc: 325306-submitter@bugs.debian.org
Subject: Root cannot be packaged
Date: Fri, 30 Sep 2005 22:55:23 +0200
Root cannot currently be packaged becaus of license issues. See e.g.

http://lists.debian.org/debian-science/2005/08/msg00090.html
http://lists.debian.org/debian-science/2005/08/msg00093.html

for more information and sources of inofficial packages.

Cheers,
Stefan



Message sent on to Heiko Scheit <heiko.scheit@mpi-hd.mpg.de>:
Bug#325306. Full text and rfc822 format available.

Tags added: pending Request was from "Kevin B McCarty (kmccarty@Princeton.EDU)" <kmccarty@Princeton.EDU> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#325306; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Kevin B McCarty (kmccarty@Princeton.EDU)" <kmccarty@Princeton.EDU>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #20 received at 325306@bugs.debian.org (full text, mbox):

From: "Kevin B McCarty (kmccarty@Princeton.EDU)" <kmccarty@Princeton.EDU>
To: 325305@bugs.debian.org, 325306@bugs.debian.org
Cc: 325305-submitter@bugs.debian.org, control@bugs.debian.org
Subject: Unofficial packages of ROOT and Geant 4
Date: Thu, 12 Jan 2006 08:16:41 -0500
tags 325306 + pending
thanks

Hi,

Obviously this doesn't close these bugs, but I wanted to alert the
bug submitter (and anyone else looking at these RFPs) that there
are unofficial Debian packages of both ROOT and Geant 4, reported
in the January '06 archive of the debian-science mailing list:

http://lists.debian.org/debian-science/2006/01/

(By the way, if you are a scientist running Debian, I highly
recommend subscribing to debian-science.)

The ROOT package should be uploaded into "main" within a few
months; its license issues went away because upstream
relicensed it under the LGPL.  For the Geant 4 package, it's currently
only available in source form due to license ambiguities -- I'm waiting
for a clarification from one of the Geant 4 collaboration members.  It
also depends upon CLHEP which may have license problems of
its own.

Apologies if the formatting of this email is messed up -- I am writing
from a crummy web interface.

regards,

-- 
Kevin B. McCarty <kmccarty@princeton.edu>   Physics Department
WWW: http://www.princeton.edu/~kmccarty/    Princeton University
GPG: public key ID 4F83C751                 Princeton, NJ 08544




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#325306; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Christian Holm Christensen <cholm@nbi.dk>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #25 received at 325306@bugs.debian.org (full text, mbox):

From: Christian Holm Christensen <cholm@nbi.dk>
To: 325306@bugs.debian.org, debian-devel@lists.debian.org, 325306-submitter@bugs.debian.org
Subject: ITP: root -- An object oriented data analysis framework
Date: Thu, 23 Feb 2006 15:55:20 +0100
Followup-For: Bug #325306
Package: wnpp
Owner: Christian Holm Christensen <cholm@nbi.dk>

I intent to package this software for Debian. 

The license of ROOT has recently been changed from a DFSG non-free 
license, to the GNU LGPL. 

An apt-get repository exists at 

  deb http://mirror.phy.bnl.gov/debian-root unstable root 
  deb-src http://mirror.phy.bnl.gov/debian-root unstable root 
  
The packages have been built on i386, powerpc, and amd64.  A bit of
rudimentary tests have been done on ppc64 and sparc, but with no
success.   The packages have previously been built on hurd-i386,
but that's a long time ago. 

The packages could really do with some independent testing, especially
on more exotic platforms, like arm, ia64, and so on. 

A lot of discussion about these packages is talking place at 
the debian-science mailing list.   There's also a Wiki page at
http://wiki.debian.org/DebianScienceROOT.  On
http://mirror.phy.bnl.gov/debian-root/ there's also a bit. 

ROOT has a fairly large user base in High Energy Physics, which however
mostly use Red Hat, Fedora, or SL.   None of these distributions ship
ROOT though.  

The Debian packages are developed concurently with the RPM packages.  In
fact, the same data is used by both packaging systems to make the DEB's
and RPM's.  Hence, there's very little difference between the Debian
packages and the RPM's. 

Please note, I'm not on debian-devel (as I'm not a maintainer - yet :-),
so please Cc replies to me.  Thanks. 

Yours,

-- 
 ___  |  Christian Holm Christensen 
  |_| |  -------------------------------------------------------------
    | |  Address: Sankt Hansgade 23, 1. th.  Phone:  (+45) 35 35 96 91
     _|           DK-2200 Copenhagen N       Cell:   (+45) 24 61 85 91
    _|            Denmark                    Office: (+45) 353  25 404
 ____|   Email:   cholm@nbi.dk               Web:    www.nbi.dk/~cholm
 | |




Changed Bug title. Request was from Christian Holm Christensen <cholm@nbi.dk> to control@bugs.debian.org. Full text and rfc822 format available.

Owner recorded as Christian Holm Christensen <cholm@nbi.dk>. Request was from Christian Holm Christensen <cholm@nbi.dk> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to Heiko Scheit <heiko.scheit@mpi-hd.mpg.de>:
Bug#325306. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Christian Holm Christensen <cholm@nbi.dk>:
Bug#325306; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to martin f krafft <madduck@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Christian Holm Christensen <cholm@nbi.dk>. Full text and rfc822 format available.

Message #37 received at 325306@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: debian-devel@lists.debian.org
Cc: 325306@bugs.debian.org
Subject: Re: ITP: root -- An object oriented data analysis framework
Date: Thu, 23 Feb 2006 16:37:02 +0100
[Message part 1 (text/plain, inline)]
also sprach Christian Holm Christensen <cholm@nbi.dk> [2006.02.23.1555 +0100]:
> I intent to package this software for Debian. 

I think the package name is a little too broad. We already have
three roots on Unix: / and the UID/GID 0.

But it's an established software name. Maybe consider cern-root?

-- 
Please do not send copies of list mail to me; I read the list!
 
 .''`.     martin f. krafft <madduck@debian.org>
: :'  :    proud Debian developer and author: http://debiansystem.info
`. `'`
  `-  Debian - when you have better things to do than fixing a system
 
Invalid/expired PGP (sub)keys? Use subkeys.pgp.net as keyserver!
 
"all language designers are arrogant. goes with the territory..."
                                                         -- larry wall
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#325306; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Christian Holm Christensen <cholm@nbi.dk>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #42 received at 325306@bugs.debian.org (full text, mbox):

From: Christian Holm Christensen <cholm@nbi.dk>
To: debian-devel@lists.debian.org, 325306@bugs.debian.org
Subject: Re: Bug#325306: ITP: root -- An object oriented data analysis framework
Date: Thu, 23 Feb 2006 17:21:25 +0100
Hi Martin, 

On Thu, 2006-02-23 at 16:37 +0100, martin f krafft wrote:
> also sprach Christian Holm Christensen <cholm@nbi.dk> [2006.02.23.1555 +0100]:

What happened to Zaratustra? 

> > I intent to package this software for Debian. 
> 
> I think the package name is a little too broad. 

I'm well-aware that the package name is unfortunate.   However, the main
executable is called `root', with utility programs `rootcint',
`root-config', `rootd', `xrootd', and so on.  These names, can not be
changed, or the user wouldn't get the expected behaviour.   

> We already have three roots on Unix: / and the UID/GID 0.

So there's 

     1. `root' the path, 
     2. `root' the user,
     3. `root' the group, 

and now 

  4. `root' the application. 

Kidding aside.  I think, perhaps the package names could change, but the
executable, etc. can not.   It would conflict with the general use of
the application.   Note, that the executable `root' is just one aspect
of the whole thing.    To make a user class persistent/`scriptable',
ROOT uses a dictionary generated by the program `rootcint' - hence users
expect to be able to do 

   rootcint -f MyDictionary.cxx -c $(CPPFLAGS) MyHeader.h

That is, a lot of third party software does exactly something like the
above in the build-system. 

> But it's an established software name. Maybe consider cern-root?

For the meta-package, yes, but does it really matter?  Also, although
the main development takes place at CERN, it would be unfair to the
large number of contributors from all over the world to call it
`cern-root'. 

Yours, 

-- 
 ___  |  Christian Holm Christensen 
  |_| |  -------------------------------------------------------------
    | |  Address: Sankt Hansgade 23, 1. th.  Phone:  (+45) 35 35 96 91
     _|           DK-2200 Copenhagen N       Cell:   (+45) 24 61 85 91
    _|            Denmark                    Office: (+45) 353  25 404
 ____|   Email:   cholm@nbi.dk               Web:    www.nbi.dk/~cholm
 | |




Reply sent to David Moreno Garza <damog@merkel.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Heiko Scheit <heiko.scheit@mpi-hd.mpg.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #47 received at 325306-done@bugs.debian.org (full text, mbox):

From: David Moreno Garza <damog@merkel.debian.org>
To: 325306-done@bugs.debian.org
Subject: WNPP bug closing
Date: Sat, 24 Feb 2007 11:59:52 -0700
Hello,

This is an automatic mail sent to close the ITP you have reported or 
are involved with.

Your ITP wnpp bug is being closed because of the following reasons:
- It is, as of today, older than 365 days.
- It hasn't had any activity recently.

As this is an automatic procedure, it could of course have something
wrong and probably it would be closing some bugs that are not 
intended by owners and submitters (like you) to be closed, for
example if the ITP is still of your interest, or there has been 
some kind of activity around it. In that case, please reopen the
bug, do it, DO IT NOW! (I don't want to be blamed because of
mass closing and not let people know that they can easily reopen
their bugs ;-).

To re-open it, you simply have to mail control@bugs.debian.org
with a body text like this:

 reopen 325306
 stop

Further comments on the work done in the bug sent to
325306@bugs.debian.org would be truly welcomed.
Anyway, if you have any kind of problems when dealing with
the BTS, feel free to contact me and I'd be more than happy to help
you on this: <damog@debian.org>.

A similar process is being applied to other kind of wnpp bugs.

Thanks for your cooperation,

 -- David Moreno Garza <damog@debian.org>.
 



Bug reopened, originator not changed. Request was from Christian Holm Christensen <cholm@nbi.dk> to control@bugs.debian.org. (Fri, 11 May 2007 18:33:31 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#325306; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Christian Holm Christensen <cholm@nbi.dk>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #54 received at 325306@bugs.debian.org (full text, mbox):

From: Christian Holm Christensen <cholm@nbi.dk>
To: 325306@bugs.debian.org
Subject: New packages of ROOT
Date: Fri, 11 May 2007 20:39:42 +0200
Hi all, 

I've made some new packages of ROOT.  The are available from 

	deb http://mirror.phy.bnl.gov/debian-root unstable main 
	deb-src http://mirror.phy.bnl.gov/debian-root unstable main 

Binary packages for i386 and powerpc are available.  Contributed builds
are welcome. 

- IMPORTANT NOTICE - IMPORTANT NOTICE - IMPORTANT NOTICE - 

Note, that some of the package names have changed, in particular 

        root-bin                -> root-system-bin
        root-doc                -> root-system-doc
        root-rootd              -> root-system-rootd
        root-xrootd             -> root-system-xrootd
        root-proofd             -> root-system-proofd
        root-common             -> root-system-common

and I have taken _no_ provisions to make this update smooth.  Hence you
should completely de-install previous (pre 5.15.07-2) packages before
installing the new ones.  If not, you will get all sorts of conflicts
with overriden files, etc.  You have been warned. 

The name change was done in an effort to make packages that complies
with the Debian FTP masters naming policy.  These packages are target
for the `experimental' distribution and it is our hope that they will be
accepted soon into that distribution.  

Yours,

-- 
 ___  |  Christian Holm Christensen 
  |_| |  -------------------------------------------------------------
    | |  Address: Sankt Hansgade 23, 1. th.  Phone:  (+45) 35 35 96 91
     _|           DK-2200 Copenhagen N       Cell:   (+45) 24 61 85 91
    _|            Denmark                    Office: (+45) 353  25 404
 ____|   Email:   cholm@nbi.dk               Web:    www.nbi.dk/~cholm
 | |




Tags added: pending Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Wed, 16 May 2007 00:06:03 GMT) Full text and rfc822 format available.

Reply sent to Christian Holm Christensen <cholm@nbi.dk>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Heiko Scheit <heiko.scheit@mpi-hd.mpg.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #61 received at 325306-close@bugs.debian.org (full text, mbox):

From: Christian Holm Christensen <cholm@nbi.dk>
To: 325306-close@bugs.debian.org
Subject: Bug#325306: fixed in root-system 5.15.07-4
Date: Thu, 17 May 2007 17:24:07 +0000
Source: root-system
Source-Version: 5.15.07-4

We believe that the bug you reported is fixed in the latest version of
root-system, which is due to be installed in the Debian FTP archive:

libroot-clarens-dev_5.15.07-4_i386.deb
  to pool/main/r/root-system/libroot-clarens-dev_5.15.07-4_i386.deb
libroot-clarens5.15_5.15.07-4_i386.deb
  to pool/main/r/root-system/libroot-clarens5.15_5.15.07-4_i386.deb
libroot-dev_5.15.07-4_i386.deb
  to pool/main/r/root-system/libroot-dev_5.15.07-4_i386.deb
libroot-ldap-dev_5.15.07-4_i386.deb
  to pool/main/r/root-system/libroot-ldap-dev_5.15.07-4_i386.deb
libroot-ldap5.15_5.15.07-4_i386.deb
  to pool/main/r/root-system/libroot-ldap5.15_5.15.07-4_i386.deb
libroot-mathmore-dev_5.15.07-4_i386.deb
  to pool/main/r/root-system/libroot-mathmore-dev_5.15.07-4_i386.deb
libroot-mathmore5.15_5.15.07-4_i386.deb
  to pool/main/r/root-system/libroot-mathmore5.15_5.15.07-4_i386.deb
libroot-minuit-dev_5.15.07-4_i386.deb
  to pool/main/r/root-system/libroot-minuit-dev_5.15.07-4_i386.deb
libroot-minuit5.15_5.15.07-4_i386.deb
  to pool/main/r/root-system/libroot-minuit5.15_5.15.07-4_i386.deb
libroot-mlp-dev_5.15.07-4_i386.deb
  to pool/main/r/root-system/libroot-mlp-dev_5.15.07-4_i386.deb
libroot-mlp5.15_5.15.07-4_i386.deb
  to pool/main/r/root-system/libroot-mlp5.15_5.15.07-4_i386.deb
libroot-python-dev_5.15.07-4_i386.deb
  to pool/main/r/root-system/libroot-python-dev_5.15.07-4_i386.deb
libroot-python5.15_5.15.07-4_i386.deb
  to pool/main/r/root-system/libroot-python5.15_5.15.07-4_i386.deb
libroot-quadp-dev_5.15.07-4_i386.deb
  to pool/main/r/root-system/libroot-quadp-dev_5.15.07-4_i386.deb
libroot-quadp5.15_5.15.07-4_i386.deb
  to pool/main/r/root-system/libroot-quadp5.15_5.15.07-4_i386.deb
libroot-roofit-dev_5.15.07-4_i386.deb
  to pool/main/r/root-system/libroot-roofit-dev_5.15.07-4_i386.deb
libroot-roofit5.15_5.15.07-4_i386.deb
  to pool/main/r/root-system/libroot-roofit5.15_5.15.07-4_i386.deb
libroot-ruby-dev_5.15.07-4_i386.deb
  to pool/main/r/root-system/libroot-ruby-dev_5.15.07-4_i386.deb
libroot-ruby5.15_5.15.07-4_i386.deb
  to pool/main/r/root-system/libroot-ruby5.15_5.15.07-4_i386.deb
libroot-tmva-dev_5.15.07-4_i386.deb
  to pool/main/r/root-system/libroot-tmva-dev_5.15.07-4_i386.deb
libroot-tmva5.15_5.15.07-4_i386.deb
  to pool/main/r/root-system/libroot-tmva5.15_5.15.07-4_i386.deb
libroot-unuran-dev_5.15.07-4_i386.deb
  to pool/main/r/root-system/libroot-unuran-dev_5.15.07-4_i386.deb
libroot-unuran5.15_5.15.07-4_i386.deb
  to pool/main/r/root-system/libroot-unuran5.15_5.15.07-4_i386.deb
libroot5.15_5.15.07-4_i386.deb
  to pool/main/r/root-system/libroot5.15_5.15.07-4_i386.deb
root-plugin-asimage_5.15.07-4_i386.deb
  to pool/main/r/root-system/root-plugin-asimage_5.15.07-4_i386.deb
root-plugin-fftw3_5.15.07-4_i386.deb
  to pool/main/r/root-system/root-plugin-fftw3_5.15.07-4_i386.deb
root-plugin-fumili_5.15.07-4_i386.deb
  to pool/main/r/root-system/root-plugin-fumili_5.15.07-4_i386.deb
root-plugin-gl_5.15.07-4_i386.deb
  to pool/main/r/root-system/root-plugin-gl_5.15.07-4_i386.deb
root-plugin-hbook_5.15.07-4_i386.deb
  to pool/main/r/root-system/root-plugin-hbook_5.15.07-4_i386.deb
root-plugin-krb5_5.15.07-4_i386.deb
  to pool/main/r/root-system/root-plugin-krb5_5.15.07-4_i386.deb
root-plugin-maxdb_5.15.07-4_i386.deb
  to pool/main/r/root-system/root-plugin-maxdb_5.15.07-4_i386.deb
root-plugin-minuit2_5.15.07-4_i386.deb
  to pool/main/r/root-system/root-plugin-minuit2_5.15.07-4_i386.deb
root-plugin-mysql_5.15.07-4_i386.deb
  to pool/main/r/root-system/root-plugin-mysql_5.15.07-4_i386.deb
root-plugin-netx_5.15.07-4_i386.deb
  to pool/main/r/root-system/root-plugin-netx_5.15.07-4_i386.deb
root-plugin-odbc_5.15.07-4_i386.deb
  to pool/main/r/root-system/root-plugin-odbc_5.15.07-4_i386.deb
root-plugin-peac_5.15.07-4_i386.deb
  to pool/main/r/root-system/root-plugin-peac_5.15.07-4_i386.deb
root-plugin-pgsql_5.15.07-4_i386.deb
  to pool/main/r/root-system/root-plugin-pgsql_5.15.07-4_i386.deb
root-plugin-proof_5.15.07-4_i386.deb
  to pool/main/r/root-system/root-plugin-proof_5.15.07-4_i386.deb
root-plugin-qt_5.15.07-4_i386.deb
  to pool/main/r/root-system/root-plugin-qt_5.15.07-4_i386.deb
root-plugin-sql_5.15.07-4_i386.deb
  to pool/main/r/root-system/root-plugin-sql_5.15.07-4_i386.deb
root-plugin-xml_5.15.07-4_i386.deb
  to pool/main/r/root-system/root-plugin-xml_5.15.07-4_i386.deb
root-plugin-xproof_5.15.07-4_i386.deb
  to pool/main/r/root-system/root-plugin-xproof_5.15.07-4_i386.deb
root-system-bin_5.15.07-4_i386.deb
  to pool/main/r/root-system/root-system-bin_5.15.07-4_i386.deb
root-system-common_5.15.07-4_all.deb
  to pool/main/r/root-system/root-system-common_5.15.07-4_all.deb
root-system-doc_5.15.07-4_all.deb
  to pool/main/r/root-system/root-system-doc_5.15.07-4_all.deb
root-system-proofd_5.15.07-4_i386.deb
  to pool/main/r/root-system/root-system-proofd_5.15.07-4_i386.deb
root-system-rootd_5.15.07-4_i386.deb
  to pool/main/r/root-system/root-system-rootd_5.15.07-4_i386.deb
root-system-xrootd_5.15.07-4_i386.deb
  to pool/main/r/root-system/root-system-xrootd_5.15.07-4_i386.deb
root-system_5.15.07-4.diff.gz
  to pool/main/r/root-system/root-system_5.15.07-4.diff.gz
root-system_5.15.07-4.dsc
  to pool/main/r/root-system/root-system_5.15.07-4.dsc
root-system_5.15.07-4_all.deb
  to pool/main/r/root-system/root-system_5.15.07-4_all.deb
root-system_5.15.07.orig.tar.gz
  to pool/main/r/root-system/root-system_5.15.07.orig.tar.gz
ttf-root-installer_5.15.07-4_all.deb
  to pool/contrib/r/root-system/ttf-root-installer_5.15.07-4_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 325306@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Christian Holm Christensen <cholm@nbi.dk> (supplier of updated root-system package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 14 May 2007 17:17:50 +0200
Source: root-system
Binary: root-system-doc libroot-quadp-dev libroot-dev root-plugin-netx root-system-proofd root-plugin-asimage root-system-rootd libroot-quadp5.15 root-system-common libroot-clarens-dev root-plugin-sql libroot-unuran-dev libroot-mlp5.15 libroot-ldap5.15 root-system-xrootd root-plugin-maxdb libroot-ruby5.15 root-plugin-peac root-plugin-xproof libroot-mlp-dev libroot-clarens5.15 root-plugin-pgsql libroot-ruby-dev libroot-mathmore5.15 root-plugin-odbc root-system-bin root-plugin-minuit2 libroot-tmva-dev libroot-roofit5.15 root-plugin-qt libroot-minuit-dev root-system libroot-python-dev root-plugin-xml root-plugin-fumili libroot-mathmore-dev root-plugin-gl root-plugin-proof libroot-minuit5.15 libroot-unuran5.15 libroot-ldap-dev libroot-roofit-dev root-plugin-krb5 root-plugin-fftw3 libroot-python5.15 root-plugin-hbook root-plugin-mysql ttf-root-installer libroot5.15 libroot-tmva5.15
Architecture: source i386 all
Version: 5.15.07-4
Distribution: experimental
Urgency: low
Maintainer: Christian Holm Christensen <cholm@nbi.dk>
Changed-By: Christian Holm Christensen <cholm@nbi.dk>
Description: 
 libroot-clarens-dev - Clarens extension for ROOT - development files
 libroot-clarens5.15 - Clarens extension for ROOT - run-time libraries
 libroot-dev - Header files for ROOT
 libroot-ldap-dev - Ldap extension for ROOT
 libroot-ldap5.15 - Ldap extension for ROOT - run-time libraries
 libroot-mathmore-dev - Mathmore plugin for ROOT
 libroot-mathmore5.15 - GSL interface library for ROOT
 libroot-minuit-dev - Minuit plugin for ROOT
 libroot-minuit5.15 - Minuit plugin for ROOT
 libroot-mlp-dev - Multi layer perceptron extension for ROOT - development files
 libroot-mlp5.15 - Multi layer perceptron extension for ROOT - run-time libraries
 libroot-python-dev - Python extension for ROOT - development files
 libroot-python5.15 - Python extension for ROOT - runtime libraries
 libroot-quadp-dev - QuadP extension for ROOT - development files
 libroot-quadp5.15 - QuadP extension for ROOT - run-time libraries
 libroot-roofit-dev - ROOT extension for modeling expected distribtions - development
 libroot-roofit5.15 - ROOT extension for modeling expected distribtions - libraries
 libroot-ruby-dev - Ruby extension for ROOT - development headers
 libroot-ruby5.15 - Ruby extension for ROOT - run-time library
 libroot-tmva-dev - Toolkit for multivariate data analysis - development files
 libroot-tmva5.15 - Toolkit for multivariate data analysis
 libroot-unuran-dev - Random number generator library - development files
 libroot-unuran5.15 - Random number generator library
 libroot5.15 - Numerical data analysis framework - shared runtime libraries
 root-plugin-asimage - AfterImage plugin for ROOT
 root-plugin-fftw3 - FFTw plugin for ROOT
 root-plugin-fumili - Fumili plugin for ROOT
 root-plugin-gl - GL plugin for ROOT
 root-plugin-hbook - Hbook plugin for ROOT
 root-plugin-krb5 - Kerberos (version 5) plugin for ROOT
 root-plugin-maxdb - MaxDB client plugin for ROOT
 root-plugin-minuit2 - Minuit version 2 plugin for ROOT
 root-plugin-mysql - MySQL client plugin for ROOT
 root-plugin-netx - NetX plugin for ROOT
 root-plugin-odbc - ODBC plugin for ROOT
 root-plugin-peac - PEAC plugin for ROOT - run-time libraries
 root-plugin-pgsql - PostgreSQL client plugin for ROOT
 root-plugin-proof - PROOF plugin for ROOT
 root-plugin-qt - Qt plugin for ROOT
 root-plugin-sql - SQL plugin for ROOT
 root-plugin-xml - XML reader plugin for ROOT
 root-plugin-xproof - XPROOF plugin for ROOT
 root-system - Meta package to install all ROOT packages
 root-system-bin - Numerical data analysis framework - general applications
 root-system-common - Common files for ROOT
 root-system-doc - Tutorial and test suit for the ROOT system
 root-system-proofd - Parallel ROOt Facility - distributed, parallel computing
 root-system-rootd - ROOT remote file server
 root-system-xrootd - Extented ROOT file server
 ttf-root-installer - True type fonts for ROOT - installer package
Closes: 325306
Changes: 
 root-system (5.15.07-4) experimental; urgency=low
 .
   * Attempt to fix broken Python dependencies on Ubuntu.
 .
 root-system (5.15.07-3) experimental; urgency=low
 .
   * [Kevin] Corrected some english in the control file
   * [Kevin] Removed root-system dependency on libroot.
   * [Kevin] Removed postinst stubs for root-system-{rootd,proofd}
   * [Kevin] Removed various directories from root-system.
   * [Kevin] Fixed script name in /etc/init.d/root-system-{rootd,proofd}.
     Perhaps it's time to look into 'upstart' scripts?
   * Fixed package names in README.Debian.
 .
 root-system (5.15.07-2) experimental; urgency=low
 .
   * Previous source package broken due to tar-balls not unpacked.
   * Fixes for new lib*.rootmap instead of global system.rootmap.
   * Fixes for new ld.so.conf.d/ scheme of configuring ld.so's search path.
   * Split off unuran into it's own package libroot-unuran, since it is
     GPL'ed.
 .
 root-system (5.15.07-1) experimental; urgency=low
 .
   * New version.
   * New source package name to please FTP-masters.
 .
 root (5.13.05-7) experimental; urgency=low
 .
   * New release.  take out /usr/lib/root/<version> from
     /etc/root/system.rootrc as it may cause problems.  Should have no
     consequence to the users.
 .
 root (5.13.05-6) experimental; urgency=low
 .
   * Fix to Qt plug-in to allow fixed directory builds.
 .
 root (5.13.05-5) experimental; urgency=low
 .
   * Added man page for xrd.
   * [Kevin] Fixed some broken dependencies in the [X]Proofd packages. I moved
     the libXrdProofd library into the root-plugin-xproof package as it seems
     to be used by the client only.
   * [Kevin] Fixed up some man pages.
   * [Kevin] Fixed some spelling errors in descriptions.
 .
 root (5.13.05-4) experimental; urgency=low
 .
   * [Kevin] Fixed up the README.Debian file for an imminent upload to
     experimental.
   * [Kevin] Removed some autotools generated files from the libAfterImage
     directory in the source package.
   * [Kevin] Corrected a typo in the debian/rules clean target.
 .
 root (5.13.05-3) experimental; urgency=low
 .
   * [Kevin] Use system libungif if possible.
   * [Kevin] Removed some files left after clean in libAfterImage.
   * [Kevin] Fixed up the initd scripts with Required-{start,stop}
 .
 root (5.13.05-2) experimental; urgency=low
 .
   * [Kevin] Fix missing install of libSpectrum and libFitPanel.
   * [Kevin] Fix duplicate build-depends
   * [Kevin] Fix missing install of PyCintex.py
   * [Kevin] Fix unpacking of tar-balls for asimage and xrootd.
   * [Kevin] Fix init missing info.
 .
 root (5.13.05-1) experimental; urgency=low
 .
   * New upstream development version.
   * [Kevin] Remove cruft left behind after removing ttf-root-installer
   * [Kevin] Install RadioNuclides.txt
   * [Kevin] Fix build dependency on python-support.
 .
 root (5.13.03-1) experimental; urgency=low
 .
   * New upstream version
 .
 root (5.13.02-1) experimental; urgency=low
 .
   * New upstream version
   * [Kevin] First attempt at complying with the Python policy.
   * Python seems ok.  We install for one  version only - the one we were
     compiled against.
   * Made init.d scripts use LSB functions (except start-stop-daemon is still
     used, since the normal one isn't OK).  daemons depend on lsb-base.
 .
 root (5.13.01-4) experimental; urgency=low
 .
   * copyrights fixed by Fons.
   * Try to fix TBrowser option.
 .
 root (5.13.01-3) experimental; urgency=low
 .
   * Fixed reference to CINT copyright statement and license.
   * Fixed some problems in the xrootd build.
   * Fixed a bug in some reflex code.
   * Added 32x32 xpm icon.
   * Make sure python scripts do not contain a she-bang.
   * RSA and ALICE license issues have been solved, but Fons hasn't
     uploaded the new files yet.  The Krb5 export restriction is still
     unresolved.   The old Zip license issue should have been solved,
     but the change to the license statement has been put in CVS yet.
     Hence, the copyright file contains the old license and coppyright
     statements.
 .
 root (5.13.01-2) experimental; urgency=low
 .
   * Added the package `libroot-tmva', to avoid bad dependencies.
   * Fixed problem with PostGreSQL plugin missing
   * Permanently fixed man page problems in RPMs (added glob star to all
     man pages in the file lists).
   * Some other minor fixes.
   * Better desktop integration for both RPMs and DEBs.
   * Added `-fail-on-missing' to make the building fail if a dependency
     isn't found.
   * Added third-party copyrights and licenses to the copyright file.
 .
 root (5.13.01-1) experimental; urgency=low
 .
   * New upstream version
   * Added TMVA to the libroot package.
   * Also put GDML files into the libroot-python package.
   * Upstream should have fixed a number of copyright statements.
   * It seems that the RSA problem persists - sigh!
 .
 root (5.11.03-6) experimental; urgency=low
 .
   * Fixes to allow compilation with prefix != /usr for RPMs
 .
 root (5.11.03-5) experimental; urgency=low
 .
   * Fixed to RPM building.  Make sure SYSV init scripts is installed.
   * Make sure we use the same configure arguments when we make the spec file,
     as are used by the spec file.
   * Add this changelog to the spec file.
   * Build-depend on GSL.
   * Build more packages by default.
   * Fixes to RPM SYSV init scripts
   * Fixed to ttf-root-installer RPM post install and pre remove scripts.
 .
 root (5.11.03-4) experimental; urgency=low
 .
   * Fixes to RPM creation.
 .
 root (5.11.03-3) experimental; urgency=low
 .
   * Added libraries libReflex and libCintex to libroot, and the
     corresponding headers and development libraries to libroot-dev.
     The Python scripts are added to libroot-dev.  This means, that
     ROOT now always build-depends and depends on Python.
   * Added gccxml as a Suggests to libroot-dev for `rootcint -gccxml'.
   * The library libCintex is temporary.
   * Added krb5-user | heimdal-clients as build-dependency for
     root-plugin-krb5.  The configure script need to know where kinit is.
     The same packages are also added as run-time dependency.
   * Fixed root-rootd and root-xrootd and root-proofd to not bark when
     upgrading and the servers are not running.  Thanks to Kevin.
   * Fixed some minor mistakes in `ttf-root-installer.copyright'.  Again,
     Thanks to Kevin.
 .
 root (5.11.03-2) experimental; urgency=low
 .
   * Minor fixes.  Typos in the font generation script, lingering temp file,
     remove build code, lingering source directory, better copyright file,
     and so on.
   * Fixes to ODBC interface to use SQL{U}LEN consistently where specified
     by the ODBC prototypes.   This should remove any problems with
     i386/ia64/amd64/windows.
 .
 root (5.11.03-1) experimental; urgency=low
 .
   * fixes to Proof library loading.  Missing `#include "config.h"' added.
   * Fix to ODBC plugin.
   * Added print-out to s050000l.pe.
   * Fixed symbol.ttf font in TImageDump.
   * Fixed FSF address in root-common.copyright
 .
 root (5.11.02-1) experimental; urgency=low
 .
   * New upstream version.
   * New scheme to make package file lists.
   * Using new GPL'ed `symbol.tff'
   * Fix it so that the font installer package doesn't overwrite and delete
     the already installed `symbol.ttf'.
   * Fixed free font table in TTF.cxx to include the GPL'ed symbol.ttf.
 .
 root (5.11.01-9) unstable; urgency=low
 .
   * Added plugin package root-plugin-odbc - ODBC database connectivty.
   * [Kevin] Fixed spelling errors in description of libroot-mathmore
   * [Kevin] Fixed call to dh_makeshlibs
   * [Kevin] Fixed maxdb build on amd64
   * [Kevin] Fixed some dependencies of root-plugin-peac and root-proofd
   * [Kevin] Fixed some code problems in SapDB code (again!)
   * Leave in `symbol.ttf' in the root-common package, because it will soon
     be replaced by a GPL'ed one.
   * Added a specific copyright file for root-common due to the new
     symbol.ttf font.
 .
 root (5.11.01-8) unstable; urgency=low
 .
   * Various fixes from Kevin
   * Added overrides for various extension packages
 .
 root (5.11.01-7) unstable; urgency=low
 .
   * Fixed a problem with transition of libroot-fftw to root-plugin-fftw3
 .
 root (5.11.01-6) unstable; urgency=low
 .
   * Package libroot-fftw made a plugin by Fons.  Now it's called
     root-plugin-fftw.
   * Small fixes from Kevin.
   * Default ZipMode is now 1 (checked in debian/rules).
   * Implemented a configure switch to use system Zlib.
 .
 root (5.11.01-5) unstable; urgency=low
 .
   * Added new package libroot-fftw, and libroot-fftw-dev.   Extension
     packages with libraries to interface FFTw.
 .
 root (5.11.01-4) unstable; urgency=low
 .
   * Added packages libroot-mathmore5.11 and libroot-mathmore-dev.
   * Also build libMathCore.  This is put in libroot5.11 and libroot-dev.
 .
 root (5.11.01-3) unstable; urgency=low
 .
   * Fixed installation of PROOF configuration examples to new location.
 .
 root (5.11.01-2) unstable; urgency=low
 .
   *  Some fixes upstream
 .
 root (5.11.01-1) unstable; urgency=low
 .
   * New upstream version.  No changes to the debian part.
 .
 root (5.10.00-1) unstable; urgency=low
 .
   * New upstream version
 .
 root (5.09.01-10) unstable; urgency=low
 .
   * Removed dangling code directory in `minuit2/src'
   * Set `Root.Zlib=1' in `/etc/root/system.rootrc' per default.
   * Fixed some minor bugs in wrapper scripts and SYSV init scripts.
 .
 root (5.09.01-9) unstable; urgency=low
 .
   * Initial release. (Closes: #325306: RFP: root -- An object oriented
     data analysis framework - Debian Bug report logs)
Files: 
 c68552a13a51433e37b78bbc4be106f0 2327 science optional root-system_5.15.07-4.dsc
 15b4b981f9d4c25e18a23c5c2883cddf 20471761 science optional root-system_5.15.07.orig.tar.gz
 389c8199d56c27c6d218330448c0a817 57104 science optional root-system_5.15.07-4.diff.gz
 3c88920ca84d1c2309793e18bb7b4b4f 320226 science optional root-plugin-asimage_5.15.07-4_i386.deb
 2530cb8dbe223497e2fe6e43a73054fb 120078 science optional root-plugin-hbook_5.15.07-4_i386.deb
 0379b7f7421f63e92106dd45fce9ab30 76048 libs optional libroot-clarens5.15_5.15.07-4_i386.deb
 ba22ce27f5f150e64306eac4b9ed2f09 18008 libdevel optional libroot-clarens-dev_5.15.07-4_i386.deb
 4007ba3e094a9c068945606b833ac8af 59436 science optional root-plugin-fftw3_5.15.07-4_i386.deb
 54b29a9cd9d09716e13bd02575bbd30f 38264 science optional root-plugin-krb5_5.15.07-4_i386.deb
 239000292fc3a4c68400e75d16832187 49962 libs optional libroot-ldap5.15_5.15.07-4_i386.deb
 26ef1960459839977084f1c1a32748d8 17350 libdevel optional libroot-ldap-dev_5.15.07-4_i386.deb
 6f7f8f52fc08639c01c43f3ba5f0c32e 303992 science optional root-plugin-minuit2_5.15.07-4_i386.deb
 90eb566dba7425bb484b7300bfcbb354 179608 libs optional libroot-mathmore5.15_5.15.07-4_i386.deb
 9348c399ea4ff3ffaf0e1e2fa1b03651 39042 libdevel optional libroot-mathmore-dev_5.15.07-4_i386.deb
 143334ba9b25a2549208c6e36fb3605c 64402 science optional root-plugin-mysql_5.15.07-4_i386.deb
 be9f2519fcfcd631ec04e6c6671ae3c8 66204 science optional root-plugin-odbc_5.15.07-4_i386.deb
 bd8d7edba4a92578615c0c135448addc 686536 science optional root-plugin-gl_5.15.07-4_i386.deb
 dff5df21803507992e990a3af4ead959 60758 science optional root-plugin-peac_5.15.07-4_i386.deb
 df2fac32cd1ddb1bdc1d54dfca693928 42916 science optional root-plugin-pgsql_5.15.07-4_i386.deb
 ccde4bf2a0b79e434c1dfc22bea475f2 191150 libs optional libroot-python5.15_5.15.07-4_i386.deb
 7c2ebfd7c35dd84c1c8f964edc57bb71 30336 libdevel optional libroot-python-dev_5.15.07-4_i386.deb
 14852233554dc2ed362099355f9a3bfa 332648 science optional root-plugin-qt_5.15.07-4_i386.deb
 30ce4b9bdf11053d093cef8c603641f9 1579638 libs optional libroot-roofit5.15_5.15.07-4_i386.deb
 b431431b3971ba8ca129c138837b4af4 113482 libdevel optional libroot-roofit-dev_5.15.07-4_i386.deb
 8242e05f43b92c6d51e3672c164066d4 37168 libs optional libroot-ruby5.15_5.15.07-4_i386.deb
 ec50c3a89bf0dfba332bfc381504af6d 15730 libdevel optional libroot-ruby-dev_5.15.07-4_i386.deb
 a34c5391604ab189d2f3ec16e5166828 45156 science optional root-plugin-maxdb_5.15.07-4_i386.deb
 3ec9f86b3142e6fd65bde179dc10991a 272348 libs optional libroot-unuran5.15_5.15.07-4_i386.deb
 f767d4bc0a8d0615ac9bad2dc1898eb2 21824 libdevel optional libroot-unuran-dev_5.15.07-4_i386.deb
 6cc62b7a292661795c83fe66e1d11501 59846 science optional root-plugin-xml_5.15.07-4_i386.deb
 ec4d39bfa74d8afa5fed80dc47ac1437 1064476 science optional root-system-xrootd_5.15.07-4_i386.deb
 1a9ae3ce369468bb22cdd5683779d967 75360 science optional root-plugin-netx_5.15.07-4_i386.deb
 515c4c232ad6200fb089d936da12dae4 51976 science optional root-plugin-fumili_5.15.07-4_i386.deb
 c71e1e79f6e281cc5546b952e2c326d7 167032 libs optional libroot-minuit5.15_5.15.07-4_i386.deb
 0265c343ea9a9133203e684d894d3765 23830 libdevel optional libroot-minuit-dev_5.15.07-4_i386.deb
 ec1a06a60a854a2b4366766376b6cd10 146388 libs optional libroot-mlp5.15_5.15.07-4_i386.deb
 d646b6df223288b8603c5edd3a47c45d 19626 libdevel optional libroot-mlp-dev_5.15.07-4_i386.deb
 38dc421cdb2264ddea2a247ba2fe1402 826692 libs optional libroot-tmva5.15_5.15.07-4_i386.deb
 3c990674c89696514c8e487420291679 93136 libdevel optional libroot-tmva-dev_5.15.07-4_i386.deb
 d7eb3b60547b14c7c93a13a3ee8685f7 645956 science optional root-plugin-proof_5.15.07-4_i386.deb
 1d90172aef9c9e4de7847079660b49a7 337616 science optional root-plugin-xproof_5.15.07-4_i386.deb
 6c1ea07d00eecbb6eb9621bd74229116 200310 science optional root-plugin-sql_5.15.07-4_i386.deb
 b278093ff79221b0d7f9139e73dddd83 150668 libs optional libroot-quadp5.15_5.15.07-4_i386.deb
 bc59db75443cfd9d7b2ff6363d30720d 26350 libdevel optional libroot-quadp-dev_5.15.07-4_i386.deb
 5fabbb19ae4ea8b1dbffafa71f14a283 102010 science optional root-system-proofd_5.15.07-4_i386.deb
 968084f4d089c3924294ccc3a22a2ceb 101508 science optional root-system-rootd_5.15.07-4_i386.deb
 321e118cdc43d8f087856db80e6ff28e 89784 science optional root-system-bin_5.15.07-4_i386.deb
 b7d97098f80547449defa60c24a92561 16258550 libs optional libroot5.15_5.15.07-4_i386.deb
 5776ba16b6a5a9a97dc8e234a4c9da91 1229268 libdevel optional libroot-dev_5.15.07-4_i386.deb
 51af452ffde6dd31d0b49c334c3187a5 24298 science optional root-system_5.15.07-4_all.deb
 281edba9aca6599e4d1f232f5406c6c9 1939230 doc optional root-system-doc_5.15.07-4_all.deb
 c2b2580fc6f96d8e4a5763a2d7f785fc 477300 science optional root-system-common_5.15.07-4_all.deb
 169b99c74265a326c30de01919c28a9a 10654 contrib/x11 optional ttf-root-installer_5.15.07-4_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFGSf2hfYxAIk+Dx1ERAmd4AKC4ntBnV2Cuz2M5PqDICD3d5VthEQCfaTNz
Wlrxpjpt0z+omg+IYxOUDPw=
=dO5v
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 17 Jun 2007 11:55:29 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Manuel Prinz <debian@pinguinkiste.de> to control@bugs.debian.org. (Thu, 11 Sep 2008 10:48:30 GMT) Full text and rfc822 format available.

Bug archived. Request was from Manuel Prinz <debian@pinguinkiste.de> to control@bugs.debian.org. (Thu, 11 Sep 2008 10:48:30 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Manuel Prinz <debian@pinguinkiste.de> to control@bugs.debian.org. (Thu, 11 Sep 2008 13:45:49 GMT) Full text and rfc822 format available.

Bug archived. Request was from Manuel Prinz <debian@pinguinkiste.de> to control@bugs.debian.org. (Thu, 11 Sep 2008 13:45:54 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 08:22:38 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.